Page MenuHomePhabricator

[Windows][Polly] Disable LLVMPolly module for all compilers on Windows
ClosedPublic

Authored by mati865 on Sep 11 2020, 9:52 AM.

Details

Summary

Before this patch, the cmake disabled loadable modules when compiling with Visual Studio. However, the reason for this is a limitation of the Windows DLLs, thus this restriction should apply to any compiler for the Windows platform, such as MinGW, Cygwin, icc, etc.

Diff Detail

Event Timeline

mati865 created this revision.Sep 11 2020, 9:52 AM
Herald added a project: Restricted Project. · View Herald Transcript
mati865 requested review of this revision.Sep 11 2020, 9:52 AM
mati865 edited the summary of this revision. (Show Details)
Meinersbur accepted this revision.Sep 11 2020, 4:44 PM
Meinersbur added a subscriber: Meinersbur.

LGTM.

Could you fix the title+description? It fixes that the limitation is imposed by Windows, not by the MSVC compiler. Cygwin would be affected as well.

Michael

This revision is now accepted and ready to land.Sep 11 2020, 4:44 PM
mati865 retitled this revision from [MinGW][Polly] Disable loadable modules to [Windows][Polly] Disable loadable modules.Sep 12 2020, 1:51 AM

Could you fix the title+description?

Fixed title. What exactly should I fix in the description?

Cygwin would be affected as well.

Unfortunately I don't use Cygwin and have no clue about it.

I was thinking about something that explains the difference between the state before and after the patch.

Suggestion:

Title: "[Windows][Polly] Disable LLVMPolly module for all compilers on Windows"

Summary: "Before this patch, the cmake disabled loadable modules when compiling with Visual Studio. However, the reason for this is a limitation of the Windows DLLs, thus this restriction should apply to any compiler for the Windows platform, such as MinGW, Cygwin, icc, etc."

mati865 retitled this revision from [Windows][Polly] Disable loadable modules to [Windows][Polly] Disable LLVMPolly module for all compilers on Windows.Sep 14 2020, 9:56 AM
mati865 edited the summary of this revision. (Show Details)

Sounds great, could you commit it? I don't have the permission.

Thank you for the patch!